所需权限:
workspace:actor_fact_modify路径参数
string
必填
工作空间 ID
string
必填
Actor ID
string
必填
冲突 ID
请求体
string
必填
要应用的解决策略:
string
要保留的事实 ID。当
strategy 为 keep_fact 时必填。响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws_abc123/actors/act-a1b2c3d4e5f6/memories/conflicts/conf-def456/resolve' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"strategy": "keep_fact",
"keep_fact_id": "fact-101"
}'
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws_abc123/actors/act-a1b2c3d4e5f6/memories/conflicts/conf-def456/resolve' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"strategy": "dismiss"
}'
{
"success": true,
"data": {
"id": "conf-def456",
"resolved": true,
"strategy": "keep_fact",
"resolve_id": "res-1a2b3c4d",
"forgotten_fact_ids": ["fact-102"],
"updated_fact_ids": []
}
}
对某个 Actor 事实之间的记忆冲突应用解决策略
POST /openapi/memorylake/api/v3/workspaces/{workspaceId}/actors/{actorId}/memories/conflicts/{conflictId}/resolve
workspace:actor_fact_modify| 策略 | 操作说明 |
|---|---|
keep_fact | 保留由 keep_fact_id 指定的事实,并遗忘其他冲突事实 |
trust_fact | 在事实与文档冲突中信任事实一方 |
trust_document | 在事实与文档冲突中信任文档一方;冲突事实会被遗忘或改写 |
dismiss | 标记冲突为已解决,但不更改任何事实 |
strategy 为 keep_fact 时必填。curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws_abc123/actors/act-a1b2c3d4e5f6/memories/conflicts/conf-def456/resolve' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"strategy": "keep_fact",
"keep_fact_id": "fact-101"
}'
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws_abc123/actors/act-a1b2c3d4e5f6/memories/conflicts/conf-def456/resolve' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"strategy": "dismiss"
}'
{
"success": true,
"data": {
"id": "conf-def456",
"resolved": true,
"strategy": "keep_fact",
"resolve_id": "res-1a2b3c4d",
"forgotten_fact_ids": ["fact-102"],
"updated_fact_ids": []
}
}